
cd "R:\Milner\Milner\regionalism book\results"
cd "chapter1"

use ..\Data\ch1data.dta , clear

** CHAPTER 1 - Figure 2
collapse (sum) nohs_ratdate2_onset, by(region decade2) 
label val region region

graph hbar (sum) nohs_ratdate2_onset if decade2>1,  over(region, label(labsize(vsmall)))  title("Cumulative PTAs ratified by region") /*
  */ ytitle("# of PTAs", size(small)) stack   bar(1 ,color(blue)) ylabel(,labsize(small)) /* 
  */ note("Sum of ratifications by country; non-reciprocal PTAs excluded", size(vsmall)) saving(figure12.gph, replace)

restore

