cd "R:\Milner\Milner\regionalism book\results"
cd "chapter4\results"


clear all
macro drop _all
set mem 600m
use ..\..\Data\dyadicdata.dta


gen nohs_rat2_onset2_orig = nohs_rat2_onset2

replace nohs_rat2_onset2 = 1 if (ccode1==220 & ccode2==616 & year==1956) | (ccode2==220 & ccode1==616 & year==1956)
replace nohs_rat2_onset2 = 1 if (ccode1==375 & ccode2==365 & year==1960) | (ccode2==375 & ccode1==365 & year==1960)
replace nohs_rat2_onset2 = 1 if (ccode1==560 & ccode2==553 & year==1967) | (ccode2==560 & ccode1==553 & year==1967)
replace nohs_rat2_onset2 = 1 if (ccode1==552 & ccode2==553 & year==1986) | (ccode2==552 & ccode1==553 & year==1986)
replace nohs_rat2_onset2 = 1 if (ccode1==552 & ccode2==571 & year==1988) | (ccode2==552 & ccode1==571 & year==1988)
replace nohs_rat2_onset2 = 1 if (ccode1==560 & ccode2==541 & year==1989) | (ccode2==560 & ccode1==541 & year==1989)
replace nohs_rat2_onset2 = 1 if (ccode1==370 & ccode2==701 & year==1993) | (ccode2==370 & ccode1==701 & year==1993)
replace nohs_rat2_onset2 = 1 if (ccode1==368 & ccode2==369 & year==1995) | (ccode2==368 & ccode1==369 & year==1995)
replace nohs_rat2_onset2 = 1 if (ccode1==367 & ccode2==369 & year==1997) | (ccode2==367 & ccode1==369 & year==1997)
replace nohs_rat2_onset2 = 1 if (ccode1==651 & ccode2==663 & year==1998) | (ccode2==651 & ccode1==663 & year==1998)
replace nohs_rat2_onset2 = 1 if (ccode1==663 & ccode2==616 & year==1999) | (ccode2==663 & ccode1==616 & year==1999)
replace nohs_rat2_onset2 = 1 if (ccode1==663 & ccode2==615 & year==1999) | (ccode2==663 & ccode1==615 & year==1999)
replace nohs_rat2_onset2 = 1 if (ccode1==370 & ccode2==371 & year==2000) | (ccode2==370 & ccode1==371 & year==2000)
replace nohs_rat2_onset2 = 1 if (ccode1==370 & ccode2==703 & year==2000) | (ccode2==370 & ccode1==703 & year==2000)

replace nohs_rat2_onset2 = 1 if (ccode1==652 & ccode2==696 & year==2000) | (ccode2==652 & ccode1==696 & year==2000)
replace nohs_rat2_onset2 = 1 if (ccode1==310 & ccode2==344 & year==2001) | (ccode2==310 & ccode1==344 & year==2001)
replace nohs_rat2_onset2 = 1 if (ccode1==343 & ccode2==369 & year==2001) | (ccode2==343 & ccode1==369 & year==2001)
replace nohs_rat2_onset2 = 1 if (ccode1==663 & ccode2==696 & year==2001) | (ccode2==663 & ccode1==696 & year==2001)
replace nohs_rat2_onset2 = 1 if (ccode1==645 & ccode2==616 & year==2001) | (ccode2==645 & ccode1==616 & year==2001)
replace nohs_rat2_onset2 = 1 if (ccode1==620 & ccode2==616 & year==2002) | (ccode2==620 & ccode1==616 & year==2002)
replace nohs_rat2_onset2 = 1 if (ccode1==645 & ccode2==696 & year==2002) | (ccode2==645 & ccode1==696 & year==2002)
replace nohs_rat2_onset2 = 1 if (ccode1==652 & ccode2==663 & year==2002) | (ccode2==652 & ccode1==663 & year==2002)

replace nohs_rat2_onset2 = 1 if (ccode1==700 & ccode2==750 & year==2003) | (ccode2==700 & ccode1==750 & year==2003)
replace nohs_rat2_onset2 = 1 if (ccode1==600 & ccode2==696 & year==2003) | (ccode2==600 & ccode1==696 & year==2003)
replace nohs_rat2_onset2 = 1 if (ccode1==625 & ccode2==663 & year==2003) | (ccode2==625 & ccode1==663 & year==2003)
replace nohs_rat2_onset2 = 1 if (ccode1==339 & ccode2==347 & year==2003) | (ccode2==339 & ccode1==347 & year==2003)
replace nohs_rat2_onset2 = 1 if (ccode1==373 & ccode2==703 & year==2004) | (ccode2==373 & ccode1==703 & year==2004)

replace ptadum_new = 1 if (ccode1==220 & ccode2==616 & year>=1956) | (ccode2==220 & ccode1==616 & year>=1956)
replace ptadum_new = 1 if (ccode1==375 & ccode2==365 & year>=1960) | (ccode2==375 & ccode1==365 & year>=1960)
replace ptadum_new = 1 if (ccode1==560 & ccode2==553 & year>=1967) | (ccode2==560 & ccode1==553 & year>=1967)
replace ptadum_new = 1 if (ccode1==552 & ccode2==553 & year>=1986) | (ccode2==552 & ccode1==553 & year>=1986)
replace ptadum_new = 1 if (ccode1==552 & ccode2==571 & year>=1988) | (ccode2==552 & ccode1==571 & year>=1988)
replace ptadum_new = 1 if (ccode1==560 & ccode2==541 & year>=1989) | (ccode2==560 & ccode1==541 & year>=1989)
replace ptadum_new = 1 if (ccode1==370 & ccode2==701 & year>=1993) | (ccode2==370 & ccode1==701 & year>=1993)
replace ptadum_new = 1 if (ccode1==368 & ccode2==369 & year>=1995) | (ccode2==368 & ccode1==369 & year>=1995)
replace ptadum_new = 1 if (ccode1==367 & ccode2==369 & year>=1997) | (ccode2==367 & ccode1==369 & year>=1997)
replace ptadum_new = 1 if (ccode1==651 & ccode2==663 & year>=1998) | (ccode2==651 & ccode1==663 & year>=1998)
replace ptadum_new = 1 if (ccode1==663 & ccode2==616 & year>=1999) | (ccode2==663 & ccode1==616 & year>=1999)
replace ptadum_new = 1 if (ccode1==663 & ccode2==615 & year>=1999) | (ccode2==663 & ccode1==615 & year>=1999)
replace ptadum_new = 1 if (ccode1==370 & ccode2==371 & year>=2000) | (ccode2==370 & ccode1==371 & year>=2000)
replace ptadum_new = 1 if (ccode1==370 & ccode2==703 & year>=2000) | (ccode2==370 & ccode1==703 & year>=2000)

replace ptadum_new = 1 if (ccode1==652 & ccode2==696 & year>=2000) | (ccode2==652 & ccode1==696 & year>=2000)
replace ptadum_new = 1 if (ccode1==310 & ccode2==344 & year>=2001) | (ccode2==310 & ccode1==344 & year>=2001)
replace ptadum_new = 1 if (ccode1==343 & ccode2==369 & year>=2001) | (ccode2==343 & ccode1==369 & year>=2001)
replace ptadum_new = 1 if (ccode1==663 & ccode2==696 & year>=2001) | (ccode2==663 & ccode1==696 & year>=2001)
replace ptadum_new = 1 if (ccode1==645 & ccode2==616 & year>=2001) | (ccode2==645 & ccode1==616 & year>=2001)
replace ptadum_new = 1 if (ccode1==620 & ccode2==616 & year>=2002) | (ccode2==620 & ccode1==616 & year>=2002)
replace ptadum_new = 1 if (ccode1==645 & ccode2==696 & year>=2002) | (ccode2==645 & ccode1==696 & year>=2002)
replace ptadum_new = 1 if (ccode1==652 & ccode2==663 & year>=2002) | (ccode2==652 & ccode1==663 & year>=2002)

replace ptadum_new = 1 if (ccode1==700 & ccode2==750 & year>=2003) | (ccode2==700 & ccode1==750 & year>=2003)
replace ptadum_new = 1 if (ccode1==600 & ccode2==696 & year>=2003) | (ccode2==600 & ccode1==696 & year>=2003)
replace ptadum_new = 1 if (ccode1==625 & ccode2==663 & year>=2003) | (ccode2==625 & ccode1==663 & year>=2003)
replace ptadum_new = 1 if (ccode1==339 & ccode2==347 & year>=2003) | (ccode2==339 & ccode1==347 & year>=2003)
replace ptadum_new = 1 if (ccode1==373 & ccode2==703 & year>=2004) | (ccode2==373 & ccode1==703 & year>=2004)




foreach v of varlist  onsetperc2  nohs2_ptaonspl_r2- nohs2_ptaonsp3_r2 {
rename `v' `v'_orig
}

*drop  nohs_ptaonspl_r2 nohs_ptaonsp1_r2 nohs_ptaonsp2_r2 nohs_ptaonsp3_r2
*** IVs
sort year
by year: egen totpairs = count(dyadid)
sort year dyadid
by year : egen ptaonset2 = count(dyadid) if nohs_rat2_onset2==1
sort year ptaonset2 
by year : replace ptaonset2 = ptaonset2[_n-1] if ptaonset2==.
gen nohs2_onsetperc2 = ptaonset2/totpairs
drop totpairs ptaonset2

tsset dyadid year
sort dyadid year
gen onsetperc2 = l.nohs2_onsetperc2 
sort year onsetperc2
by year: replace onsetperc2 = onsetperc2[_n-1] if onsetperc2==.
replace onsetperc2 = 0 if onsetperc2==.

** Spline creation 

btscs nohs_rat2_onset2 year dyadid , gen(nohs2_ptaonspl_r2) lspline(1,4,7)
rename _spline1 nohs2_ptaonsp1_r2
rename _spline2 nohs2_ptaonsp2_r2
rename _spline3 nohs2_ptaonsp3_r2

*** MERGING IN PSA/ECAs

sort ccode1 ccode2 year
merge 1:1 ccode1 ccode2 year using ../../Data/wtipsa.dta, 

replace dpta = 0 if nohs_force_onset==1 & dpta==1
replace dpta = 0 if nohs_sign_onset==1 & dpta==1

replace nohs_rat2_onset2 = 1 if dpta==1 & nohs_rat2_onset2==0
replace ptadum_new = 1 if pta==1 & ptadum_new==0



drop  nohs2_ptaonspl_r2 nohs2_ptaonsp1_r2 nohs2_ptaonsp2_r2 nohs2_ptaonsp3_r2 nohs2_onsetperc2 onsetperc2
*** IVs
sort year
by year: egen totpairs = count(dyadid)
sort year dyadid
by year : egen ptaonset2 = count(dyadid) if nohs_rat2_onset2==1
sort year ptaonset2 
by year : replace ptaonset2 = ptaonset2[_n-1] if ptaonset2==.
gen nohs2_onsetperc2 = ptaonset2/totpairs
drop totpairs ptaonset2

tsset dyadid year
sort dyadid year
gen onsetperc2 = l.nohs2_onsetperc2 
sort year onsetperc2
by year: replace onsetperc2 = onsetperc2[_n-1] if onsetperc2==.
replace onsetperc2 = 0 if onsetperc2==.

** Spline creation 

btscs nohs_rat2_onset2 year dyadid , gen(nohs2_ptaonspl_r2) lspline(1,4,7)
rename _spline1 nohs2_ptaonsp1_r2
rename _spline2 nohs2_ptaonsp2_r2
rename _spline3 nohs2_ptaonsp3_r2


*** TABLE 4.2:

local mod5  polconiiiA polity2_04 llntradenew llnGDP_gled08 ldGDP_gled08 larmconflict latopally fmrcol_new lcontig_new lndistance lheg_new lnewgatt ptadum_new onsetperc2 pcw89 llnGDPratio_g

* Column 1: Polcon 1950-2005
xi: logit nohs_rat2_onset2 `mod5' nohs2_ptaonsp*_r2 i.region  , r cl(dyadid)
est store basemod5a

